# Class GridViewerColumn

ViewerColumn
org.eclipse.nebula.jface.gridviewer.GridViewerColumn

public final class GridViewerColumn extends ViewerColumn
The concrete implementation of the ColumnViewer for the grid.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Listener`
`columnResizeListener`
Listener used to get informed when the colum resizes

## Constructor Summary

Constructors
Constructor
Description
`GridViewerColumn(GridTableViewer viewer, int style)`
Create a new column in the `GridTableViewer`
`GridViewerColumn(GridTableViewer viewer, int style, int index)`
Create a new column in the `GridTableViewer`
`GridViewerColumn(GridTableViewer viewer, GridColumn column)`
`GridViewerColumn(GridTreeViewer viewer, int style)`
Create a new column in the `GridTreeViewer`
`GridViewerColumn(GridTreeViewer viewer, int style, int index)`
Create a new column in the `GridTreeViewer`
`GridViewerColumn(GridTreeViewer viewer, GridColumn column)`

## Method Summary

Modifier and Type
Method
Description
`GridColumn`
`getColumn()`
Returns the underlying column.
`protected void`
`handleDispose()`
`void`
`setEditingSupport(EditingSupport editingSupport)`

## Field Details

### columnResizeListener

protected Listener columnResizeListener
Listener used to get informed when the colum resizes

## Constructor Details

### GridViewerColumn

public GridViewerColumn(GridTableViewer viewer, int style)
Create a new column in the `GridTableViewer`

Parameters:
  `viewer` - the viewer the column belongs to
  `style` - the style used to create the column for style bits see `GridColumn`
See Also:
  - `GridColumn(Grid, int)`

### GridViewerColumn

public GridViewerColumn(GridTreeViewer viewer, int style)
Create a new column in the `GridTreeViewer`

Parameters:
  `viewer` - the viewer the column belongs to
  `style` - the style used to create the column for style bits see `GridColumn`
See Also:
  - `GridColumn(Grid, int)`

### GridViewerColumn

public GridViewerColumn(GridTableViewer viewer, int style, int index)
Create a new column in the `GridTableViewer`

Parameters:
  `viewer` - the viewer the column belongs to
  `style` - the style used to create the column for style bits see `GridColumn`
  `index` - the index of the newly created column
See Also:
  - `GridColumn(Grid, int, int)`

### GridViewerColumn

public GridViewerColumn(GridTreeViewer viewer, int style, int index)
Create a new column in the `GridTreeViewer`

Parameters:
  `viewer` - the viewer the column belongs to
  `style` - the style used to create the column for style bits see `GridColumn`
  `index` - the index of the newly created column
See Also:
  - `GridColumn(Grid, int, int)`

### GridViewerColumn

public GridViewerColumn(GridTreeViewer viewer, GridColumn column)

Parameters:
  `viewer` - the viewer the column belongs to
  `column` - the column the viewer is attached to

### GridViewerColumn

public GridViewerColumn(GridTableViewer viewer, GridColumn column)

Parameters:
  `viewer` - the viewer the column belongs to
  `column` - the column the viewer is attached to

## Method Details

### getColumn

public GridColumn getColumn()
Returns the underlying column.

Returns:
  the underlying Nebula column

### setEditingSupport

public void setEditingSupport(EditingSupport editingSupport)

### handleDispose

protected void handleDispose()